@import url('open-iconic/font/css/open-iconic-bootstrap.min.css');
@import url('bootstrap-icons/font/bootstrap-icons.css');

html, body {
    font-family: Carnas, "degular", 'Helvetica Neue', Helvetica, Arial, sans-serif;
    color: #30373e;
    background: #f8f8f8;
}
    html, body , #app, .page { height:100%;}
a, .btn-link {
    color: #0366d6;
}

.btn-primary {
    color: #fff;
    background-color: #1b6ec2;
    border-color: #1861ac;
}

.valid.modified:not([type=checkbox]) {
    outline: 1px solid #26b050;
}

.invalid {
    outline: 1px solid red;
}

.validation-message {
    color: red;
}
.row {
    margin-right: -5px;
    margin-left: -5px;
}
[class*=col-], .col {
    padding-right: 5px;
    padding-left: 5px;
}
#blazor-error-ui {
    background: lightyellow;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
}

    #blazor-error-ui .dismiss {
        cursor: pointer;
        position: absolute;
        right: 0.75rem;
        top: 0.5rem;
    }

.form-control {
    padding: .375rem .2rem
}
.hide{
    display:none!important;
}
.footer-fixed {
    position: fixed;
    left: 0;
    width: 100%;
    bottom: 0;
    text-align: center;
    z-index:99;
}
    .footer-fixed .list-group-item {
        padding: .75rem 0.5rem;
    }
@media (min-width: 641px) {
    .footer-fixed {
        left: 250px;
        width: calc(100% - 250px);
    }
}
.search-clear {
    font-size: 18px;
    font-weight: bold;
    color: #466ba9;
    text-shadow: 0px 0 2px #466ba9;
    width: 30px;
    position: absolute;
    bottom: 0;
    right: 5px;
    text-align: center;
    cursor: pointer;
    height: calc(1.5em + .5rem);
}
/* -----------begin login----------------- */
.login .panel {
    width: 450px;
    margin: auto;
    font-family: 'PlayfairDisplayBold';
}
@media (max-width: 768px){
    .login .panel {
        width: unset;
        padding: 27px 0px;
    }
}
/* -----------end login----------------- */

/* -----------begin page----------------- */
.page > .main {
    overflow: hidden;
}
.page > .main > .content {
    padding: 0 !important;
    position: relative;
    height: 100%;
    overflow: auto;
}

@media (max-width: 640.98px) {
    .page > .main > .content {
        height: calc(100% - 3.5rem);
        top: 3.5rem;
    }
}

.footer {
    position: fixed;
    bottom: 0;
    left: 0;
    right: 20px;
    background-color: rgba(255,255,255,.65);
    line-height: 2rem;
    color: rgba(50, 50, 50, 0.56);
    font-size: 14px;
    text-align: center;
}
/* remove arcgis logo*/
.esri-ui .esri-attribution {
    display: none !important;
}
#btn-scroll-to-top {
    position: fixed;
    bottom: 0.5rem;
    right: 0;
    z-index: 999;
    color: #a6a6a6;
    font-size: 2rem;
    display: none;
    width: 3rem;
    text-align: center;
}
.footer-fixed + #btn-scroll-to-top {
    bottom: 2.5rem;
}
/* -----------end page----------------- */
/* -----------begin Loading  ----------------- */
#app .loading, .modal-backdrop {
    position: fixed;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    z-index: 1050;
    overflow: hidden;
    outline: 0;
    background: rgba(0,0,0,0.3);
    text-align: center;
}
.modal-backdrop {
    background: rgba(0,0,0,0.5);
}

#app .loading > .tip {
    background: #fff;
    padding: 20px 15px;
    margin: auto;
    border-radius: 5px;
    text-align: center;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%,-50%);
    -webkit-transform: translate(-50%,-50%);
    min-width: 150px;
}

    #app .loading > .tip img {
        width: 40px;
    }

@media (min-width: 641px) {
    #app .page > .main > .content .loading {
        left: 250px;
    }
}
.logo-horizontal {
    height: 100vh;
    position: relative;
}
.logo-horizontal > .text-center{
    position:relative;
    top:5rem;
}
    .logo-horizontal .logo-horizontal-text {
        position: fixed;
        bottom: 20%;
        text-align: center;
        width: 100%;
        font-size: 1.5rem;
    }
/* -----------end Loading----------------- */

/* -----------begin Index  ----------------- */
.nav-stat {
    border: none;
    -webkit-box-shadow: 0 2px 0 rgb(0 0 0 / 7%);
    box-shadow: 0 2px 0 rgb(0 0 0 / 7%);
    -webkit-border-radius: 5px;
    -moz-border-radius: 5px;
    border-radius: 5px;
    margin-bottom: 20px;
    position: relative;
    background: #fff;
    padding: 16px;
    display: block;
    text-align: center;
    color: #000;
}

.nav-stat-icon {
    font-size: 26px;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    font-weight: 700;
}

.nav-stat-title {
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    position: relative;
}
/* -----------end Index  ----------------- */


.border-left-primary {
    border-left: 0.45rem solid #4e73df !important;
}

.border-bottom-primary {
    border-bottom: 0.45rem solid #4e73df !important;
}
.border-left-info {
    border-left: 0.45rem solid #17a2b8 !important;
}

.border-bottom-info {
    border-bottom: 0.45rem solid #17a2b8 !important;
}
.border-left-danger {
    border-left: 0.45rem solid #e74a3b !important;
}

.badge {
    display: inline-block;
    padding: 3px 7px;
    font-size: 1rem;
    font-weight: 400;
    line-height: 1;
    color: #fff;
    text-align: center;
    white-space: nowrap;
    vertical-align: baseline;
    background: #636a71;
    border-radius: 4px;
}
.no-charge {
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
}
    .no-charge img {
        width: 30px;
    }
.highlighted .no-charge {
    border: 2px solid red;
    border-radius: 50%;
}
    .highlighted .no-charge::after {
        content: "";
        width: 100%;
        height: 2px;
        position: absolute;
        top: 14px;
        left: 0;
        transform: rotate( 45deg );
        background: red;
    }
.btn-light {
    color: #212529;
    background-color: #ebeced;
    border-color: #ebeced;
}
.list-group-icon-right {
    padding-right: 2rem;
    cursor: pointer;
}
.list-group-icon-right:before {
    content: '';
    width: 0.6rem;
    height: 0.6rem;
    FONT-WEIGHT: 600;
    position: absolute;
    top: 50%;
    right: 1rem;
    margin-top: -0.3rem;
    background: transparent;
    border: 1px solid #495057;
    border-top: none;
    border-right: none;
    -webkit-border-radius: 0;
    border-radius: 0;
    -webkit-transform: rotate( -135deg );
    transform: rotate( -135deg );
}
.text-ellipsis {
    width: 100%;
    display: inline-block;
    white-space: nowrap;
    text-overflow: ellipsis;
    overflow: hidden;
}
.table-td-hover td:hover {
    background-color: #f8f9fa;
    z-index: 1;
    color: #495057;
}
.table-td-hover td a:hover {
    text-decoration: none;
    color: #495057;
}
.table-td-valign-middle td {
    vertical-align: middle !important;
}
.uncheck, .SetNoWork {
    background-image: url(../icon/checked.png);
    background-position: center;
    background-repeat: no-repeat;
    background-size: 40%;
    background-color: #f4c202;
}
    .checked, .SetNoWork:focus, .SetNoWork:hover {
        background-image: url(../icon/checked.png);
        background-position: center;
        background-repeat: no-repeat;
        background-size: 40%;
    }

/* ----------- begin Complaint detail  ----------------- */
.btnNotesToOffice {
    height: 60px;
    color: #fff!important;
    position: relative;
}
    .btnNotesToOffice > span {
        position: absolute;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);
        width: 80%;
    }
.btnCheckbox {
    margin-right: -5px;
    margin-left: -5px;
}
.btnCheckbox > [class*=col-] {
    padding-right: 5px;
    padding-left: 5px;
}
.btnCheckbox .list-group {
    height: 100%;
    position: relative;
}
    .btnCheckbox .list-group .list-group-item {
        height: 100%;
        margin: 0;
        margin-bottom: 10px;
        padding: .5rem .75rem .5rem 1.7rem;
        display: table;
        cursor:pointer;
    }
        .btnCheckbox .list-group .list-group-item input[type=checkbox] {
            position: absolute;
            left: 0.5rem;
            top: 50%;
            -moz-transform: translateY(-50%);
            -webkit-transform: translateY(-50%);
            -ms-transform: translateY(-50%);
            transform: translateY(-50%);
            display: table-cell;
            vertical-align: middle;
        }
        .btnCheckbox .list-group .list-group-item span {
            display: table-cell;
            vertical-align: middle;
        }
    .btnCheckbox .list-group.list-group-horizontal .list-group-item {
        height: auto;
        display: block;
    }

.highlighted {
    background-color: yellow !important;
    transition: background-color 0.25s ease 0s;
}

.choice_list {
    background: #fff;
    position: absolute;
    left: 0;
    right: 0;
    bottom: 0;
    margin: 0;
    list-style: none;
    padding: 0;
}
    .choice_list > li {
        line-height: 3rem;
        border-bottom: 1px solid #aaa;
    }
.card-body {
    padding: 0.75rem 1.25rem;
}
/* ----------- end Complaint detail  ----------------- */

/* picture list */
.list_div img, .div_picture > img {
    width: 100%;
    border-radius: 3px;
    object-fit: cover;
    height: 100%;
}
.list_div > ul {
    list-style: none;
    margin: 0;
    padding: 0;
    width: 100%;
    overflow-x: auto;
    overflow-y: hidden;
    white-space: nowrap;
}
    .list_div > ul > li {
        width: 80px;
        padding: 5px;
        display: inline-block;
        height: 120px;
        overflow: hidden;
        background: #f8f8f8;
    }
.div_camera, .div_mic {
    position: relative;
    width: 100%;
    height: 6rem;
}
.div_picture {
    width: 100%;
    overflow-x: auto;
    overflow-y: hidden;
    height:8rem;
}
    .div_picture > .btnDeleteImage {
        font-size: 1.5rem;
        border: 2px solid #ffc107;
        border-radius: 50%;
        color: #ffc107;
        padding-top: 1px;
        width: 2.3rem;
        height: 2.3rem;
        display: inline-block;
        text-align: center;
        position: absolute;
        right: -5px;
        top: -1rem;
        background: rgba(255,255,255,0.8);
    }
.div_preview {
    position: fixed;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
    background: rgba(0,0,0,0.9);
    z-index: 1050;
}
    .div_preview > img {
        position: absolute;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);
        -webkit-transform: translate(-50%, -50%);
        -moz-transform: translate(-50%,-50%);
    }
.div_circular {
    position: relative;
    border: 3px solid #ffc107;
    width: 5rem;
    height: 5rem;
    border-radius: 50%;
    margin: 0 auto;
    text-align: center;
}
    .div_circular > i {
        font-size: 3.2rem;
        color: #ffc107;
    }
.div_mic .div_audio_border {
    border: 1px solid #ccc;
    border-radius: 7px;
    padding: 15px;
    min-width: 110px;
    width: 35%;
    text-align: right;
}
.div_mic .div_audio_border > span{
    font-size:18px;
}
    .div_mic .div_audio_border > .div_audio_img {
        width: 30px;
        height: 30px;
        background: url(../icon/voice.png);
        background-repeat: no-repeat;
        background-size: 120px;
        background-position: -90px 0;
    }
.animationAudio {
    animation: runVoice 2s steps(1, start) infinite;
}
.div_mic_preview{
    position:fixed;
    left:0;
    top:50%;
    right:0;
    transform:translateY(-50%);
}

@keyframes runVoice {
    0% {
        background-position: 0 0;
    }

    25.0% {
        background-position: -30px 0;
    }

    50.0% {
        background-position: -60px 0;
    }

    75.0% {
        background-position: -90px 0;
    }

    100% {
        background-position: 0 0;
    }
}
@-webkit-keyframes runVoice {
    0% {
        background-position: 0 0;
    }

    25.0% {
        background-position: -30px 0;
    }

    50.0% {
        background-position: -60px 0;
    }

    75.0% {
        background-position: -90px 0;
    }

    100% {
        background-position: 0 0;
    }
}
@-moz-keyframes runVoice {
    0% {
        background-position: 0 0;
    }

    25.0% {
        background-position: -30px 0;
    }

    50.0% {
        background-position: -60px 0;
    }

    75.0% {
        background-position: -90px 0;
    }

    100% {
        background-position: 0 0;
    }
}

/* Chats Setting */
.chats {
    list-style-type: none;
    margin: 0;
    padding: 0;
}

    .chats:before,
    .chats:after,
    .chats > li:before,
    .chats > li:after {
        content: '';
        display: table;
        clear: both;
    }

    .chats > li + li {
        margin-top: 15px;
    }

    .chats > li .abbreviation {
        float: left;
        width: 50px;
        height: 50px;
        border-radius: 50px;
        overflow: hidden;
        background: #ffc107;
        word-break: break-all;
        text-align: center;
        color: #fff;
        font-size: 2rem;
        padding: 0 5px;
    }

    .chats > li .message {
        margin-left: 70px;
        background-color: #fff;
        background-clip: border-box;
        border: 1px solid rgba(0,0,0,.125);
        border-radius: 6px;
        padding: 10px 15px;
        position: relative;
        box-shadow: 0 1px 0 0 rgba(0,0,0,0.1);
        padding-bottom: 30px;
    }

        .chats > li .message:before, .chats > li .message:after {
            content: '';
            display: block;
            position: absolute;
            left: -20px;
            border: 10px solid transparent;
            border-right-color: #ebeced;
            top: 15px;
        }
        .chats > li .message:after {
            left: -18px;
            border-color: transparent #fff transparent transparent;
        }

        .chats > li .message .date-time {
            position: absolute;
            bottom: 10px;
            right: 10px;
            font-size: 11px;
            line-height: 10px;
            opacity: 0.7;
        }
.div_line small:before {
    content: '\2014 \00A0';
}

.div_line small {
    font-style: italic;
}

.collapse-icon:after {
    content: "\f229";
    font-family: "bootstrap-icons";
    float:right;
}
.collapse-icon.collapsed:after {
    content: "\f231";
    font-family: "bootstrap-icons";
    float: right;
}

/*********** begin checkbox  radio ************/
.RadioOrCheckbox .col-6 {
    padding-left:5px;
    padding-right:5px;
}
    .RadioOrCheckbox label{
        display:block;
        padding:5px 10px;
        border-radius:3px;
        border:1px solid #ddd;
    }
    .aui-radio,
    .aui-checkbox {
        width: 1.2rem;
        height: 1.2rem;
        background-color: #ffffff;
        border: solid 1px #dddddd;
        -webkit-border-radius: 0.6rem;
        border-radius: 0.6rem;
        font-size: 0.8rem;
        margin: 0;
        padding: 0;
        position: relative;
        display: inline-block;
        vertical-align: top;
        cursor: default;
        -webkit-appearance: none;
        -webkit-user-select: none;
        user-select: none;
        -webkit-transition: background-color ease 0.1s;
        transition: background-color ease 0.1s;
        margin-right: 5px;
        margin-top: 2px;
    }

.aui-checkbox {
    border-radius: 0.1rem;
}

    .aui-radio:checked,
    .aui-radio.aui-checked,
    .aui-checkbox:checked,
    .aui-checkbox.aui-checked {
        background-color: #03a9f4;
        border: solid 1px #03a9f4;
        text-align: center;
        background-clip: padding-box;
    }

        .aui-radio:checked:before,
        .aui-radio.aui-checked:before,
        .aui-checkbox:checked:before,
        .aui-checkbox.aui-checked:before,
        .aui-radio:checked:after,
        .aui-radio.aui-checked:after,
        .aui-checkbox:checked:after,
        .aui-checkbox.aui-checked:after {
            content: '';
            width: 0.6rem;
            height: 0.3rem;
            position: absolute;
            top: 50%;
            left: 50%;
            margin-left: -0.3rem;
            margin-top: -0.25rem;
            background: transparent;
            border: 1px solid #ffffff;
            border-top: none;
            border-right: none;
            z-index: 2;
            -webkit-border-radius: 0;
            border-radius: 0;
            -webkit-transform: rotate(-45deg);
            transform: rotate(-45deg);
        }

    .aui-radio:disabled,
    .aui-radio.aui-disabled,
    .aui-checkbox:disabled,
    .aui-checkbox.aui-disabled {
        background-color: #dddddd;
        border: solid 1px #dddddd;
    }

        .aui-radio:disabled:before,
        .aui-radio.aui-disabled:before,
        .aui-radio:disabled:after,
        .aui-radio.aui-disabled:after,
        .aui-checkbox:disabled:before,
        .aui-checkbox.aui-disabled:before,
        .aui-checkbox:disabled:after,
        .aui-checkbox.aui-disabled:after {
            content: '';
            width: 0.5rem;
            height: 0.3rem;
            position: absolute;
            top: 50%;
            left: 50%;
            margin-left: -0.25rem;
            margin-top: -0.25rem;
            background: transparent;
            border: 1px solid #ffffff;
            border-top: none;
            border-right: none;
            z-index: 2;
            -webkit-border-radius: 0;
            border-radius: 0;
            -webkit-transform: rotate(-45deg);
            transform: rotate(-45deg);
        }
/*********** end checkbox  radio ************/

/*********** begin collapse ************/
.accordion-toggle .bi.bi-chevron-down, .accordion-toggle.collapsed .bi.bi-chevron-up {
    display: none;
}

.accordion-toggle.collapsed .bi.bi-chevron-down, .accordion-toggle .bi.bi-chevron-up {
    display: inline-block;
}
/*********** end collapse ************/


/*********** begin switchery for checkbox style ************/
.switchery {
    background-color: #fff;
    border: 1px solid #dfdfdf;
    border-radius: 20px;
    cursor: pointer;
    display: inline-block;
    height: 30px;
    position: relative;
    vertical-align: middle;
    width: 100%;
    min-width: 50px;
    -webkit-box-sizing: content-box;
    -moz-box-sizing: content-box;
    box-sizing: content-box;
}

    .switchery > small {
        background: #fff;
        border-radius: 100%;
        box-shadow: 0 1px 3px rgba(0, 0, 0, 0.4);
        height: 30px;
        position: absolute;
        top: 0;
        width: 30px;
        left: 0px;
        transition: left 0.25s ease 0s;
    }
    .switchery > span {
        font-size: 70%;
        padding: 3px 0 0 30px;
        color:#333;
    }
    .switchery.active {
        background-color: rgb(23, 182, 164);
        border-color: rgb(23, 182, 164);
        box-shadow: rgb(23, 182, 164) 0px 0px 0px 16px inset;
        transition: border 0.5s ease 0s, box-shadow 0.5s ease 0s, background-color 1.5s ease 0s;
    }
        .switchery.active > small {
            left: calc(100% - 30px);
            transition: left 0.25s ease 0s;
        }
        .switchery.active > span {
            font-size: 70%;
            padding: 3px;
            color: #fff;
        }
/*********** end switchery for checkbox style ************/

.btn-close {
    box-sizing: content-box;
    width: 1em;
    height: 1em;
    padding: 0.25em 0.25em;
    color: #000;
    background: transparent url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16' fill='%23000'%3e%3cpath d='M.293.293a1 1 0 011.414 0L8 6.586 14.293.293a1 1 0 111.414 1.414L9.414 8l6.293 6.293a1 1 0 01-1.414 1.414L8 9.414l-6.293 6.293a1 1 0 01-1.414-1.414L6.586 8 .293 1.707a1 1 0 010-1.414z'/%3e%3c/svg%3e") center/1em auto no-repeat;
    border: 0;
    border-radius: 0.25rem;
    opacity: 0.5;
}

.btn-close:hover {
    color: #000;
    text-decoration: none;
    opacity: 0.75;
}

.btn-close:focus {
    outline: 0;
    box-shadow: 0 0 0 0.25rem rgba(13, 110, 253, 0.25);
    opacity: 1;
}

.btn-close:disabled, .btn-close.disabled {
    pointer-events: none;
    -webkit-user-select: none;
    -moz-user-select: none;
    user-select: none;
    opacity: 0.25;
}

.btn-close-white {
    filter: invert(1) grayscale(100%) brightness(200%);
}